﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TweakAPI.Info
{
    /// <summary>
    /// Provides information about the power supply.
    /// </summary>
    public static class PowerSupply
    {
        /// <summary>
        /// Gets the current power line status.
        /// </summary>
        public static Helper.PowerLineStatus PowerLineStatus
        {
            get
            {
                PowerStatus PowerLineStatus = SystemInformation.PowerStatus;
                Helper.PowerLineStatus powerLineStatus = Helper.PowerLineStatus.Unknown;
                if ((PowerLineStatus.PowerLineStatus == System.Windows.Forms.PowerLineStatus.Online) && ((PowerLineStatus.BatteryLifePercent * 100) < 100))
                { powerLineStatus = Helper.PowerLineStatus.IsBeingCharged; }
                else if (PowerLineStatus.PowerLineStatus == System.Windows.Forms.PowerLineStatus.Online)
                { powerLineStatus = Helper.PowerLineStatus.Online; }
                else if (PowerLineStatus.PowerLineStatus == System.Windows.Forms.PowerLineStatus.Offline)
                { powerLineStatus = Helper.PowerLineStatus.Offline; }
                else 
                { powerLineStatus = Helper.PowerLineStatus.Unknown; }
                return powerLineStatus;
            }
        }

        /// <summary>
        /// Gets the current charge of the battery.
        /// </summary>
        public static int Charge
        {
            get
            {
                return (int)(SystemInformation.PowerStatus.BatteryLifePercent * 100);
            }
        }
    }
}
